/**********************************************************************
 * Copyright (c) 2005-2008 David Carter <dcarter@arm4.org> and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * David Carter - Initial API and implementation
 **********************************************************************/

#ifndef ARM4_APPDEX_H
#define ARM4_APPDEX_H 1

typedef enum {
	/* These values are bit masks */
	arm4_appdex_on = 1,
	arm4_appdex_use_default = 2,
	arm4_appdex_autolearn = 4
} arm4_appdex_t;

#define ARM4_APPDEX_DEFAULT_RESPONSE_TIME		(4)	/* This is defined in the appdex standard */
#define ARM4_APPDEX_DEFAULT_FLAGS				(arm4_appdex_use_default)

#endif
